/**
 * @file hv_vos_Init.c
 * @brief vos init source code
 * @details
 * @author HiView SoC Software Team
 * @version 0.0.1
 * @date 20230301
 * @copyright Copyright(c),2023-3, Hiview Software. All rights reserved.
 * @par History:
 * <table>
 * <tr><th>author                     <th>date           <th>description
 * <tr><td>HiView SoC Software Team   <td>20230301       <td>Create and first Version.
 * </table>
**/

#include "hv_vos_Comm.h"

void Hv_Vos_Init(void)
{
    Hv_Vos_InitIrq();
    Hv_Vos_InitTime();
    #ifdef HV_SCALER_DEBUG_VERSION
    HV_RAW_LOGA(">>> %s@%s ", COMPILE_USERNAME, COMPILE_HOSTNAME);
    #endif
}


void Hv_Vos_Cleanup(void)
{
    Hv_Vos_CleanupTime();
    /* Flush the caches */
    Hv_Vos_InvalidAllCache();

}


